#-*-coding:utf-8-*-
"""
    Tests des fonctions de la librairie eoletools
"""
#from py.test import raises
from scribe import eoletools

def test_formate_date_us_fr():
    assert eoletools.formate_date('2009/01/18') == '18/01/2009'
    assert eoletools.formate_date('2009/01/18', '-') == '18-01-2009'
    assert eoletools.formate_date('2009-01-18') == '18/01/2009'
    assert eoletools.formate_date('2009-01-18', '') == '18012009'
    assert eoletools.formate_date('20090118') == '18/01/2009'

def test_formate_date_fr_fr():
    assert eoletools.formate_date('18/01/2009') == '18/01/2009'
    assert eoletools.formate_date('18-01-2009') == '18/01/2009'

